# Get past period data

Get past period in preparation for migration.

Endpoint: GET /people/{personId}/loans/{loanId}/migration/past-periods
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Query parameters:

  - `dueDate` (string)
    The due date of the period. The system will return the object corresponding to the period with
due date equal to `dueDate`. If no matching period is found, the system will return no results.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `reportingToAgency` (string)
    Filters to only loan types set up to report to this agency.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.statement` (object)

  - `data.statement.creditBalanceAmount` (number)
    The total amount that a lender owes to the borrower.
Note: Peach system does not allow negative balances. Use `creditBalanceAmount` to represent credit balance owed to the borrower.

  - `data.statement.documentDescriptorId` (string)
    The statement's document descriptor ID.

  - `data.statement.minimumAmountDue` (number)
    The minimum or recurring amount due for this period (also called obligation). This amount is a sum of interest
accrued, fees and part of a principal. This amount does not net any payments or service credits made in the period.

  - `data.statement.newBalanceAmount` (number)
    The new balance amount for the period.

